
import React from 'react';
import Icon from 'react-icon-base';

const SlSocialFacebook = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M581.76 879.504c3.80762 0 5.99902 -0.15918 5.99902 -0.15918h83.5684l-0.431641 -96h-83.0078c-45.6797 0 -44.624 -39.0078 -44.624 -39.0078v-152.192h161.632l-22.5596 -95.8721h-139.6v-479.776h-95.9043l-0.0644531 479.776h-127.408l-0.255859 95.8721h127.712 v149.184c0.015625 130.08 108.048 138.176 134.944 138.176zM671.327 879.345h0.160156h-0.160156zM581.76 943.505c-23.0078 0 -67.9697 -3.80859 -110.562 -29.4727c-40.3203 -24.2559 -88.3682 -73.9355 -88.3682 -172.688v-85.1836h-63.7119 c-17.0078 0 -33.3115 -6.78418 -45.3438 -18.8164c-12 -12.0645 -18.7197 -28.3682 -18.6553 -45.4082l0.255859 -95.8721c0.12793 -35.248 28.752 -63.7764 64 -63.7764h63.4082l0.0644531 -415.776c0 -35.3438 28.6562 -64 64 -64h95.9043c35.3438 0 64 28.6562 64 64 v415.776h75.5996c28.4004 0 53.4082 18.7197 61.4082 45.9678l22.5596 95.8721c5.67969 19.3438 1.90332 40.2559 -10.1924 56.3682c-12.0645 16.1602 -31.0566 25.6641 -51.2168 25.6641h-97.6318v63.1523l63.6318 0.0322266c35.2158 0 63.8398 28.4639 64 63.7119 l0.431641 92.752c0.0644531 1.18359 0.0966797 2.33594 0.0966797 3.53613c0 35.3438 -28.5918 64 -63.9355 64h-81.9355c-1.83984 0.0957031 -4.49609 0.160156 -7.80713 0.160643z"/></g>
    </Icon>
);

export default SlSocialFacebook;
